Bug 246068 - Review Request: mcabber - Console Jabber instant messaging client
Review Request: mcabber - Console Jabber instant messaging client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 06:33 EDT by Michael Fleming
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 07:16:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Fleming 2007-06-28 06:33:00 EDT
Spec URL: http://www.thatfleminggent.com/fedorasubs/mcabber.spec
SRPM URL: http://www.thatfleminggent.com/fedorasubs/mcabber-0.9.3-1.fc7.mf.src.rpm
Description:
mcabber is a console Jabber instant messaging/chat client with SSL support, MUC
(Multi-User Chat) support, history logging, commands completion, and external
action triggers.
Comment 1 Jason Tibbitts 2007-06-29 12:27:29 EDT
Odd how this console app requires most of X to build, but it seems that
gettext-devel pulls it in via its dependency on libgcj.

Please drop the ".mf" after the dist tag, thanks.

Do you think it's worth trying to mark the internal help files as %doc.  I'm
leaning towards no, but they are two-thirds of the size of the package and I
could see this kind of package being useful in a very minimal install.

The desktop file is a nice touch, but there are a couple of issues:

mcabber.desktop: key "Categories" is a list and does not have a semicolon as
trailing character, fixing

/var/tmp/mcabber-0.9.3-1.fc8.mf-root-mockbuild/usr/share/applications/fedora-mcabber.desktop:
warning: value "" for key "Path" in group "Desktop Entry" does no
t look like an absolute path

I think the former is just a minor upstream error and is no big deal.  The
latter, I'm not sure about.  And doesn't it deserve an icon?

Review:
* source files match upstream:
   ee5bc81da96b958aee7b277bb6fdeeace1a8fff5e41ec61053c63cdb63016406  
   mcabber-0.9.3.tar.bz2
X package meets naming and versioning guidelines (".mf" not valid at end of 
   Release).
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   mcabber = 0.9.3-1.fc8.mf
  =
   libaspell.so.15()(64bit)
   libcrypto.so.6()(64bit)
   libglib-2.0.so.0()(64bit)
   libgpgme.so.11()(64bit)
   libgpgme.so.11(GPGME_1.0)(64bit)
   libncursesw.so.5()(64bit)
   libpanelw.so.5()(64bit)
   libssl.so.6()(64bit)
   libtinfo.so.5()(64bit)
* %check is not present; no test suite upstream.  I ran the program and it 
   seemed to work OK, but I've no clue how to use Jabber.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
? Hey, a .desktop file for a lowly console application.  But there seem to be 
   some things wrong with it.
Comment 2 Michael Fleming 2007-07-10 08:14:50 EDT
The .desktop file isn't too flash, even with my attempts to fix it (a good icon
would be nice but my art skills are nonexistent. Given that it's a console app
and Real Men Don't Need .Desktop Files, I've dropped it. Most GUI users will
likely have picked one of many good GUI XMPP apps available.

The .mf appended to the version tag is gone (I'd rather maintain it here than in
my own repo)

SPEC: http://www.thatfleminggent.com/fedorasubs/mcabber.spec
SRPM: http://www.thatfleminggent.com/fedorasubs/mcabber-0.9.3-2.fc7.src.rpm

Enjoy!
Comment 3 Jason Tibbitts 2007-07-10 14:36:15 EDT
OK, this all looks good to me; the .desktop file is gone and the release string
looks OK.

APPROVED
Comment 4 Michael Fleming 2007-07-20 06:55:16 EDT
New Package CVS Request
=======================
Package Name: mcabber
Short Description: Console Jabber instant messaging client
Owners: mfleming+rpm@enlartenment.com
Branches: FC-6 F-7 EL-5 EL-4
Comment 5 Michael Fleming 2007-07-24 07:16:54 EDT
Imported and built on -devel OK.

Note You need to log in before you can comment on or make changes to this bug.